Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4947 - glibc 2.1.1 unsetenv has off-by-one error
Summary: glibc 2.1.1 unsetenv has off-by-one error
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-06 23:33 UTC by tymm
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-17 11:41:19 UTC


Attachments (Terms of Use)

Description tymm 1999-09-06 23:33:38 UTC
if two environment variables w/same name come consecutively,
the second won't be purged.  Response from glibc development
folks is "get glibc 2.1.2".  A number of security related
packages depend on the function, so it's rather important
that it works right.

Comment 1 Cristian Gafton 1999-09-17 11:41:59 UTC
glibc 2.1.2 will be released in the next version of Red Hat Linux.
This bug alone does not mandate an errata.


Note You need to log in before you can comment on or make changes to this bug.